Skip to main content
`Ctrl`+`K`
scipy.stats.mstats.

# kurtosistest

scipy.stats.mstats.kurtosistest(a, axis=0, alternative='two-sided')

  Tests whether a dataset has normal kurtosis

  Parameters:
    a array_like

      array of the sample data

    axis int or None, optional

      Axis along which to compute test. Default is 0. If None, compute over the whole array a.

    alternative{‘two-sided’, ‘less’, ‘greater’}, optional

      Defines the alternative hypothesis. The following options are available (default is ‘two-sided’):

      - ‘two-sided’: the kurtosis of the distribution underlying the sample is different from that of the normal distribution

      - ‘less’: the kurtosis of the distribution underlying the sample is less than that of the normal distribution

      - ‘greater’: the kurtosis of the distribution underlying the sample is greater than that of the normal distribution

      Added in version 1.7.0.

  Returns:
    statistic array_like

      The computed z-score for this test.

    pvalue array_like

      The p-value for the hypothesis test

  Notes

  For more details about `kurtosistest`, see `scipy.stats.kurtosistest`.